> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralfactory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Version

> API key permission: Agents (Admin also opens it).



## OpenAPI

````yaml /api-reference/openapi.json get /agents/{agent_id}/versions/{version_number}
openapi: 3.1.0
info:
  title: Neural Factory API
  version: 0.1.0
  description: >-
    The endpoints a program can call with an API key. Exchange the key's secret
    for a token at POST /apikeys/token and send it as a Bearer token.
servers:
  - url: https://api.neuralfactory.ai
    description: SaaS
  - url: https://{apiHost}
    description: 'Enterprise: the API address of your own deployment'
    variables:
      apiHost:
        default: api.example.com
        description: Your deployment's API host
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Chat
  - name: Runs
  - name: Agents
  - name: Workflows
  - name: Schedules
  - name: Knowledge bases
  - name: Documents
  - name: Search
  - name: Skills
  - name: Toolkits
  - name: Files
  - name: Interactions
  - name: Usage and billing
  - name: Catalogue
  - name: Browser
  - name: Users
  - name: Groups
  - name: Builds
paths:
  /agents/{agent_id}/versions/{version_number}:
    get:
      tags:
        - Agents
      summary: Get Agent Version
      description: 'API key permission: Agents (Admin also opens it).'
      operationId: get_agent_version_agents__agent_id__versions__version_number__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
        - name: version_number
          in: path
          required: true
          schema:
            type: integer
            title: Version Number
        - name: env
          in: query
          required: false
          schema:
            title: Env
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentVersionEntry'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentVersionEntry:
      properties:
        id:
          type: string
          title: Id
        agent_id:
          type: string
          title: Agent Id
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        version_number:
          type: integer
          title: Version Number
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        config_snapshot:
          anyOf:
            - $ref: '#/components/schemas/AgentVersionSnapshot'
            - type: 'null'
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          $ref: '#/components/schemas/AgentVersionCreatedBy'
        is_current:
          type: boolean
          title: Is Current
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        published_by:
          anyOf:
            - $ref: '#/components/schemas/AgentVersionCreatedBy'
            - type: 'null'
      type: object
      required:
        - id
        - agent_id
        - organization_id
        - version_number
        - label
        - created_at
        - created_by
        - is_current
      title: AgentVersionEntry
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentVersionSnapshot:
      properties:
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
        knowledge_bases:
          items:
            type: string
          type: array
          title: Knowledge Bases
        prompt:
          type: string
          title: Prompt
        tags:
          items:
            type: string
          type: array
          title: Tags
        model:
          type: string
          title: Model
        allowed_groups:
          items:
            type: string
          type: array
          title: Allowed Groups
        allowed_user_ids:
          items:
            type: string
          type: array
          title: Allowed User Ids
        visibility:
          type: string
          title: Visibility
        strict_mode:
          type: boolean
          title: Strict Mode
        strict_mode_message:
          type: string
          title: Strict Mode Message
        show_citations:
          type: boolean
          title: Show Citations
        core_tools:
          items:
            type: string
          type: array
          title: Core Tools
        toolkits:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Toolkits
        workflows:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Workflows
          default: []
        agent_type:
          type: string
          title: Agent Type
        subagents:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Subagents
        workflow_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Workflow Config
        skills:
          items:
            type: string
          type: array
          title: Skills
          default: []
        guardrails:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Guardrails
      type: object
      required:
        - title
        - description
        - knowledge_bases
        - prompt
        - tags
        - model
        - allowed_groups
        - allowed_user_ids
        - visibility
        - strict_mode
        - strict_mode_message
        - show_citations
        - core_tools
        - toolkits
        - agent_type
        - subagents
        - workflow_config
      title: AgentVersionSnapshot
    AgentVersionCreatedBy:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - email
        - name
      title: AgentVersionCreatedBy
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        The access_token returned by POST /apikeys/token for an API key's
        secret.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.